1. Settings
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patters
    • Support and technical support
  • CRM
    • Properties
      • List properties
      • Properties
      • Customers
      • Companies
      • Work addresses
      • Customers
      • Companies
      • Work addresses
      • Properties
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
  • Sales
    • Opportunities
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Actions
      • Put on hold
      • Mark as free of charge
      • Mark as aborted
      • Change job stage
      • Mark as complete
      • Remove on hold
  • Settings
    • List titles
      GET
    • List customer types
      GET
    • List advertising types
      GET
    • List telephone types
      GET
    • List business units
      GET
    • List user groups
      GET
    • List opportunity pipelines
      GET
    • List opportunity stages
      GET
    • List provinces
      GET
    • List job description templates
      GET
  • Webhooks
    • Webhooks
    • Example PHP script
    • Webhooks
    • Webhooks
  1. Settings

List opportunity pipelines

Developing
GET
/settings/opportunityPipelines
This returns a list of opportunity pipelines that are set to status=active. If you want to include the associated stages, then set includeStages=true.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠429429 Too many requests
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/settings/opportunityPipelines?includeStages=true' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "id": 0,
            "createdOnDateTime": "string",
            "opportunityPipelineName": "string",
            "stages": [
                {
                    "id": 0,
                    "stageName": "string"
                }
            ]
        }
    ]
}
Modified at 2026-06-29 06:27:39
Previous
List user groups
Next
List opportunity stages
Built with